JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1Beta.customers.entities.unarchive('id', {
ids: ['user-7f3a0c1d', 'user-c4d1b2e9'],
});
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1_beta.customers.entities.unarchive(
id="id",
ids=["user-7f3a0c1d", "user-c4d1b2e9"],
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1Beta.Customers.Entities.Unarchive(
context.TODO(),
"id",
stigg.V1BetaCustomerEntityUnarchiveParams{
IDs: []string{"user-7f3a0c1d", "user-c4d1b2e9"},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entities.EntityUnarchiveParams;
import io.stigg.models.v1beta.customers.entities.EntityUnarchiveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntityUnarchiveParams params = EntityUnarchiveParams.builder()
.id("id")
.addId("user-7f3a0c1d")
.addId("user-c4d1b2e9")
.build();
EntityUnarchiveResponse response = client.v1Beta().customers().entities().unarchive(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1_beta.customers.entities.unarchive("id", ids: ["user-7f3a0c1d", "user-c4d1b2e9"])
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entities;
StiggClient client = new();
EntityUnarchiveParams parameters = new()
{
ID = "id",
Ids =
[
"user-7f3a0c1d", "user-c4d1b2e9"
],
};
var response = await client.V1Beta.Customers.Entities.Unarchive(parameters);
Console.WriteLine(response);stigg v1-beta:customers:entities unarchive \
--api-key 'My API Key' \
--id id \
--id user-7f3a0c1d \
--id user-c4d1b2e9curl --request POST \
--url https://api.stigg.io/api/v1-beta/customers/{id}/entities/unarchive \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"ids": [
"user-7f3a0c1d",
"user-c4d1b2e9"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1-beta/customers/{id}/entities/unarchive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'user-7f3a0c1d',
'user-c4d1b2e9'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"ids": [
"user-7f3a0c1d",
"user-c4d1b2e9"
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Governance Entities
Unarchive entities
Restores previously archived entities in bulk for the given customer by id.
POST
/
api
/
v1-beta
/
customers
/
{id}
/
entities
/
unarchive
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1Beta.customers.entities.unarchive('id', {
ids: ['user-7f3a0c1d', 'user-c4d1b2e9'],
});
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1_beta.customers.entities.unarchive(
id="id",
ids=["user-7f3a0c1d", "user-c4d1b2e9"],
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1Beta.Customers.Entities.Unarchive(
context.TODO(),
"id",
stigg.V1BetaCustomerEntityUnarchiveParams{
IDs: []string{"user-7f3a0c1d", "user-c4d1b2e9"},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entities.EntityUnarchiveParams;
import io.stigg.models.v1beta.customers.entities.EntityUnarchiveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntityUnarchiveParams params = EntityUnarchiveParams.builder()
.id("id")
.addId("user-7f3a0c1d")
.addId("user-c4d1b2e9")
.build();
EntityUnarchiveResponse response = client.v1Beta().customers().entities().unarchive(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1_beta.customers.entities.unarchive("id", ids: ["user-7f3a0c1d", "user-c4d1b2e9"])
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entities;
StiggClient client = new();
EntityUnarchiveParams parameters = new()
{
ID = "id",
Ids =
[
"user-7f3a0c1d", "user-c4d1b2e9"
],
};
var response = await client.V1Beta.Customers.Entities.Unarchive(parameters);
Console.WriteLine(response);stigg v1-beta:customers:entities unarchive \
--api-key 'My API Key' \
--id id \
--id user-7f3a0c1d \
--id user-c4d1b2e9Authorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The customer identifier (owner) the entities belong to
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Body
application/json
List of entity identifiers to act on in bulk (1-100 entries)
Entity identifiers to act on
Required array length:
1 - 100 elementsThe unique identifier for the entity
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
No content.
Wrapped response echoing the ids that were acted on by an archive/unarchive call
List of entity identifiers that were acted on
Show child attributes
Show child attributes
⌘I
